cURL
curl --request GET \
--url https://api.hubapi.com/marketing/v3/campaigns \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/marketing/v3/campaigns"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/marketing/v3/campaigns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"businessUnits": [
{
"id": 123
}
],
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"properties": {},
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"total": 123,
"paging": {
"next": {
"after": "<string>",
"link": "<string>"
},
"prev": {
"before": "<string>",
"link": "<string>"
}
}
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Kampagnen
Search campaigns
GET
/
marketing
/
v3
/
campaigns
cURL
Supported products
Supported products
Required Scopes
Required Scopes
Autorisierungen
The access token received from the authorization server in the OAuth 2.0 flow.
Antwort
successful operation
Ein Array von PublicCampaign-Objekten, die jeweils eine Kampagne mit den zugehörigen Eigenschaften darstellen.
Show child attributes
Show child attributes
Eine Ganzzahl, die die Gesamtzahl der verfügbaren öffentlichen Kampagnen darstellt.
Show child attributes
Show child attributes
Zuletzt geändert am 1. April 2026
⌘I